=== debian/changelog ===
irpas (0.10-9build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:57:36 +1100

irpas (0.10-9build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:59:28 +0100

irpas (0.10-9) unstable; urgency=medium

  * Refresh patches
  * Fix build for new glibc (Closes: #996426)
  * Bump Standards-Version to 4.6.0
  * Update my email address

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 15 Oct 2021 14:47:04 +0200

irpas (0.10-8) unstable; urgency=medium

  * Team Upload

  [ Samuel Henrique ]
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian
  * d/control: Add 'Rules-Requires-Root: no'

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Samuel Henrique <samueloph@debian.org>  Tue, 02 Feb 2021 00:52:02 +0000

irpas (0.10-7) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * Add upstream metadata file
  * d/control:
    - Bump debhelper version to 11
    - Bump Standards-Version to 4.2.1
  * d/compat:
    - Bump compat version to 11
  * d/ass.1:
    - Fix typo
  * d/igrp.1:
    - Fix typo
  * d/rules:
    - Add override_dh_missing target (--fail-missing)
  * d/copyright:
    - Update DEP-5 copyright syntax
    - Add GPL/ Phenoelit-License dual license to debianized files

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 17 Sep 2018 13:02:23 +0800

irpas (0.10-6) unstable; urgency=medium

  * Team upload.
  * Add "XS-Autobuild: yes" to allow automatic build on the build daemons.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 04 Jul 2016 16:01:01 +0200

irpas (0.10-5) unstable; urgency=medium

  [ Sophie Brun ]
  * Take over the package in the pkg-security team with the permission of
    Vince Mulhollon
  * Use format 3.0 (quilt)
  * Use debhelper 9 (Closes: #800293)
  * debian/control: improve description (Closes: #412534, #334566)
  * Improve Makefile to build with hardening options and fix the install
  * Update Standards-Version

  [ Raphaël Hertzog ]
  * Further cleanups of the Makefile.

 -- Sophie Brun <sophie@freexian.com>  Tue, 21 Jun 2016 10:11:14 +0200

irpas (0.10-4.1) unstable; urgency=low

  * NMU to unblock libpcap's transition to testing.
  * Fix build against libpcap0.8 (closes: #480578).

 -- Romain Francoise <rfrancoise@debian.org>  Fri, 27 Jun 2008 20:43:19 +0200

irpas (0.10-4) unstable; urgency=low

  * Rename netmask to inetmask to prevent conflict with package "netmask"
    (closes: Bug#176755)
  * Add #include <time.h> to ass_v1.c, cdp.c, dhcpx.c, timestamp.c
                          irdpresponder.c, itrace.c, protos.c
  * comment out the #endif /* _ENUM_H_ */ in enum.h
  * comment out the #endif /* __DEBUG__ */ in packets.c
  * comment out the #endif /* _PACKET_H_ */ in packets.h
  * comment out the #endif /* _PROTOCOL_NUMBERS_H_ */ in protocol-numbers.h
  * comment out #define IPPROTO_ICMP 0x01 and UDP and GRE in protocols.h
  * comment out the #endif /* _PROTOCOLS_H_ */ in protocols.h
  * Thanks to Cristian Ionescu-Idbohrn for these above patches

 -- Vince Mulhollon <vlm@debian.org>  Tue, 21 Jan 2003 16:46:20 -0600

irpas (0.10-3) unstable; urgency=low

  * Fixed typo in README.Debian (now points to correct directory)
    (closes: Bug#175116)
  * More manpages written. itrace, tctrace, netmask

 -- Vince Mulhollon <vlm@debian.org>  Mon, 13 Jan 2003 18:47:33 -0600

irpas (0.10-2) unstable; urgency=low

  * New copyright file, upstream explicitly allows redistribution.
    (closes: Bug#174107)
  * Wrote and added about 1/2 of the manpages.

 -- Vince Mulhollon <vlm@debian.org>  Wed,  1 Jan 2003 09:26:33 -0600

irpas (0.10-1) unstable; urgency=low

  * Initial Release.

 -- Vince Mulhollon <vlm@debian.org>  Mon, 16 Dec 2002 18:30:38 -0600
