=== debian/control ===
Source: irpas
Section: non-free/net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13), libpcap-dev, libtirpc-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://www.phenoelit.org/fr/tools.html
Vcs-Git: https://salsa.debian.org/pkg-security-team/irpas.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/irpas
XS-Autobuild: yes

Package: irpas
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Internetwork Routing Protocol Attack Suite
 This package contains a collection of programs used for advanced network
 operations, testing, and debugging.
 .
 CDP and the route injectors can be useful in a production network.
 Several other tools are useful for security and firewall testing.
 Finally some tools such as netenum are useful for general admin
 scripting.
 .
 Like all powerful tools, it could cause great damage, so be careful.
 .
     * cdp - Cisco discovery protocol packet sender
     * igrp - IGRP route injector
     * ass - Autonomous system scanner
     * irdp - IRDP sender
     * irdpresponder - IRDP responder
     * itrace - ICMP based traceroute
     * tctrace - TCP SYN based traceroute
     * protos - ICMP based port scanner
     * netmask - Asks for netmask via ICMP
     * file2cable - Dumps any binary file direct to ethernet
     * dfkaa - Troubleshoot devices formerly known as Ascend (Pipeline, etc)
     * netenum - Ping scanner designed for shell scripts
     * hsrp - HSRP failover tester
     * icmp_redirect - ICMP redirection system
     * timestamp - ICMP timestamp requester
     * dhcpx - DHCP server "exerciser"
