=== debian/watch ===
version=4
http://www.phenoelit.org/irpas/download.html (?:.*?/?)irpas_(.*)\.tar\.gz
